:root {
  --warna-utama: #ffffff;
  --warna-kedua: #2BAF27;
  --warna-text: #111111;
  --blur: rgba(255, 255, 255, 0.8);
  --warna-border: #e0e0e0;
  --tombol: black;
  --bayangan-atas: 0 -2px 10px var(--warna-kedua);
  --bayangan-bawah: 0 2px 10px var(--warna-border);
  --gaya-list: var(--bayangan-atas),var(--bayangan-bawah);
  --gaya-list-desktop: 2px solid var(--warna-kedua);
  --hijau-wa: #25D366;
  --biru-linkedin: #0077b5;
}

[data-theme="gelap"] {
  --warna-utama: #0f0f0f;
  --warna-kedua: #4BF660;
  --warna-text: #f5f5f5;
  --blur: rgba(0, 0, 0, 0.8);
  --warna-border: #2a2a2a;
  --hijau-wa: #1da851;
  --tombol: grey;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  list-style: none;
  text-align: center;
  color: var(--warna-text);
  font-family: sans-serif;
  font-weight: bold;
  transition: 0.4s;
}
body {
  overflow-x: hidden;
  background-color: var(--warna-utama);
}
header {
  position: sticky;
  padding: 15px;
  margin: 10px;
  border-radius: 10px;
  top: 2px;
  box-shadow: var(--gaya-list);
  z-index: 1;
  background-color: var(--warna-utama);
}
.brand {
  margin: 5px auto;
  padding: 5px;
}
.brand h1 {
  font-weight: 900;
  font-size: 30px;
}
.brand p {
  font-weight: 600;
}
img {
  border-radius: 50%;
}
nav {
  background-color: var(--warna-utama);
  padding: 10px;
  margin: 10px;
  border-radius: 10px;
  box-shadow: var(--gaya-list);
  position: fixed;
  width: 50vw;
  height: 50vh;
  transition: 0.5s;
  left: 800px;
}
nav ul {
  height: 46vh;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
}
#tema {
  font-weight: 900;
  padding: 5px 10px;
  border-radius: 20px;
  border: var(--gaya-list-desktop);
  background-color: var(--warna-text);
  color: var(--warna-utama);
}
nav ul li {
  border: var(--gaya-list-desktop);
  padding: 10px;
  border-radius: 10px;
  margin: 10px;
  box-shadow: var(--gaya-list);
}
nav ul li a {
  font-weight: 900;
}
.garis {
  display: block;
  width: 30px;
  padding: 3px;
  margin: 3px;
  background-color: var(--warna-utama);
  border: 2px solid var(--warna-kedua);
  border-radius: 10px;
  transition: 0.4s;
}
.hamburger.aktif .garis {
  background-color: red;
  height: 3px;
  margin: 4px 0;
  padding: 0;
  border-color: red;
}
.hamburger.aktif {
  padding-left: 5px;
}
.hamburger.aktif .garis:nth-child(1) {
  transform: rotate(45deg) translate(3px, 3px);
}
.hamburger.aktif .garis:nth-child(2) {
  transform: rotate(-45deg) translate(3px, -3px);
}
.hamburger {
  position: absolute;
  background-color: rgba(0, 0, 0, 0);
  top: 33px;
  right: 10px;
  padding-left: 2px;
  width: 40px;
  height: 40px;
  border: none;
  border-radius: 10px;
  z-index: 1;
  box-shadow: var(--gaya-list);
}
section {
  box-shadow: var(--gaya-list);
  border-radius: 10px;
  padding: 10px;
  margin: 10px;
  /* height:80vh; */
  scroll-margin-top: 125px;
}
.hero {
  margin-top: 20px;
  padding: 60px 10px;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
  gap: 20px;
}
.hero h2 {
  color: var(--warna-kedua);
  font-weight: 900;
  font-size: 3rem;
}
.hero p {
  font-weight: 600;
  font-size: 20px;
}
#hero_deskripsi {
  text-align: justify;
  text-indent: 1em;
  overflow-wrap: word-wrap;
  width: 90%;
}
.skill {
  padding: 40px 10px;
}
.skill h2 {
  margin-bottom: 30px;
  font-weight: 900;
  font-size: 25px;
}
.skill ul {
  margin: 1px auto;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  gap: 10px;
}
.skill ul li {
  border-radius: 20px;
  padding: 15%;
  font-size: 20px;
  color: var(--warna-text);
}
.skill ul li a {
  font-weight: 900;
  background-color: var(--warna-utama);
  padding: 10px;
  border-radius: 10px;
}
.skill ul li:nth-child(1) {
  background-color: #E34C26;
}
.skill ul li:nth-child(2) {
  background-color: rgb(38, 77, 228);
}
.skill ul li:nth-child(3) {
  background-color: #f7df1e;
}
main {
  display: flex;
  flex-direction: column;
  gap: 20px
}
.kontak {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 50px;
  gap: 20px;
}
.kontak h2 {
  font-weight: 900;
  font-size: 25px;
}
.kontak form {
  width: 90vw;
  display: flex;
  flex-direction: column;
  gap: 15px;
  box-shadow: var(--gaya-list);
  padding: 20px;
  border-radius: 10px;
}
.sosmed {
  display: flex;
  justify-content: center;
  flex-direction: column;
  width: 90%;
  gap: 10px;
  box-shadow: var(--gaya-list);
  padding: 10px;
  border-radius: 10px;
}
.list-sosmed {
  display: flex;
}
svg {
  width: 90%;
}
.kontak .sosmed .icon a {
  position: relative;
  bottom: 20px;
}
.kontak form input {
  padding: 10px;
  border-radius: 20px;
  border: var(--gaya-list-desktop);
  box-shadow: var(--gaya-list);
  font-weight: 600;
  font-size: 17px;
  background-color: var(--blur);
}
.kontak form input:focus {
  outline: none;
}
.kontak form textarea:focus {
  outline: none;
}
.kontak form textarea {
  border: var(--gaya-list-desktop);
  box-shadow: var(--gaya-list);
  border-radius: 10px;
  text-align: left;
  padding: 15px;
  resize: none;
  background-color: var(--blur);
}
.kontak form .tombol {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 10px;
}
button {
  background-color: var(--hijau-wa);
}
#whatsapp {
  background-color: var(--hijau-wa);
}
.kontak form .tombol button {
  font-size: 20px;
  font-weight: 900;
  border-radius: 10px;
  padding: 10px;
  border: none;
  color:;
}
footer {
  padding: 15px;
  margin: 10px;
  border-radius: 10px;
  box-shadow: var(--gaya-list);
  z-index: 1;
  background-color: var(--warna-utama);
}
@media (min-width: 768px) {
  header,footer,section,nav ul li {
    box-shadow: none;
    border-width: 2px;
    /* atas kanan bawah kiri */
    border-style: solid;
    border-color: var(--warna-kedua) var(--warna-border);
    /* atas-bawah kiri-kanan */
    border-radius: 0;
    margin-inline: 0px;
  }
  .hero h2 {
    font-size: 8rem;
    font-weight: 900;
  }
  .brand {
    display: flex;
    align-items: center;
    justify-content: center;
  }
  img {
    width: 225px;
    height: 225px;
  }
  .brand h1 {
    position: relative;
    top: 0.7em;
    font-size: 30px;
    top: 0;
    position: static;
  }
  .brand p {
    display: none;
  }
  header {
    top: 0px;
    display: flex;
    flex-flow: row;
    padding: 8px 15px;
    justify-content: space-evenly;
  }
  .hamburger {
    display: none;
  }
  nav {
    flex-grow: 1;
    position: static;
    display: flex;
    height: auto;
    box-shadow: none;
    gap: 10px;
    justify-content: space-between;
  }
  nav ul {
    flex-grow: 1;
    flex-direction: row;
    order: 1;
    height: auto;
    border: none;
  }
  nav ul li {
    box-shadow: none;
    min-width: 10%;
    padding: 15px;
    margin: 0;
    border-radius: 10px;
    border: var(--gaya-list-desktop);
  }
  #tema {
    position: relative;
    order: 2;
    left: 1.8em;
    border-radius: 10px;
  }
  section {
    scroll-margin-top: 160px;
  }
  #hero_deskripsi {
    width: 40%;
  }
  .skill ul {
    flex-direction: row;
    justify-content: space-evenly !important;
    max-width: 90%;
    gap: 15px
  }

  .skill ul li {
    width: 30%;
    aspect-ratio: 1/1;
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 3em;
  }
  .kontak .sosmed {
    width: 60%;
    padding: 30px;
    box-shadow: none;
    border: var(--gaya-list-desktop);
  }
  .kontak form {
    width: 70%;
    padding: 30px;
    box-shadow: none;
    border: var(--gaya-list-desktop);
  }
  .kontak form input {
    border-radius: 10px;
    box-shadow: none;
    border: var(--gaya-list-desktop);
  }
  .kontak form textarea {
    box-shadow: none;
    border: var(--gaya-list-desktop);
  }
}